###############################################################################
#
# Copyright 2014 Red Hat, Inc.
#
# This copyrighted material is made available to anyone wishing to use,
# modify, copy, or redistribute it subject to the terms and conditions
# of the GNU General Public License version 2.
#
###############################################################################

%define version_lucidb                luci_db-0.12.2-17
%define version_zope                  Zope-2.9.8-final
%define version_plone                 Plone-2.5.5

# http://www.rpm.org/wiki/PackagerDocs/ConditionalBuilds
%bcond_without embeddedzopeplone
%define include_zope_and_plone yes
%if %{without embeddedzopeplone}
%define include_zope_and_plone no
%endif

%define virt_support 0
%ifarch i386 x86_64 ia64
%define virt_support 1
%endif

############ SRPM ############

Name: conga
Version: 0.12.2
Release: 81%{?dist}
License: GPL
URL: http://sources.redhat.com/cluster/conga

Group: System Environment/Base
Summary: Remote Management System

### base package + luci db

Source0: %{name}-%{version}.tar.gz
Source1: %{version_lucidb}.tar.gz

### Zope + Plone + respective patches

%if %{with embeddedzopeplone}
Source2: %{version_zope}.tgz
Source3: %{version_plone}.tar.gz
Patch8: Plone-2.5.5-CMFPlone.patch
Patch44: bz658621.patch
Patch63: Zope-CVE-2010-1104-CVE-2011-4924.patch
%endif

### extra Plone site products

# https://plone.org/products/plone-hotfix/releases/20100612/plonehotfix20100612-1.tar.gz
Source4: plonehotfix20100612-1.tar.gz
# https://plone.org/products/plone-hotfix/releases/CVE-2011-0720/plonehotfix20110720-1.2.tar.gz
Source5: plonehotfix20110720-1.2.tar.gz
# pulled from upstream's VCS using these commands:
#  SVN_TRUNK=https://svn.plone.org/svn/collective/SessionCrumbler/trunk/
#  svn export -r 38889 ${SVN_TRUNK} SessionCrumbler-0.2-1.20120531svn
#  tar cpf SessionCrumbler-0.2-1.20120531svn{.tar.gz,}
Source6: SessionCrumbler-0.2-1.20120531svn.tar.gz
# https://plone.org/products/plone-hotfix/releases/20121106/plonehotfix20121106-1.2.zip
Source7: plonehotfix20121106-1.2.zip

### base patches

Patch1: bz501780.patch
Patch2: bz514051.patch
Patch3: bz517114.patch
Patch4: bz519050.patch
Patch5: bz519252.patch
Patch6: bz521884.patch
Patch7: bz530129.patch
#8: Plone patch, see above
Patch9: bz508142.patch
Patch10: bz519268.patch
Patch11: bz469881.patch
Patch12: bz564490.patch
Patch13: bz582348.patch
Patch14: bz590143.patch
Patch15: bz533246.patch
Patch16: bz577913.patch
Patch17: bz603114.patch
Patch18: bz590311.patch
Patch19: bz612300.patch
Patch20: bz555862.patch
Patch21: bz606509.patch
Patch22: bz513004.patch
Patch23: bz587399.patch
Patch24: bz584633.patch
Patch25: bz602459.patch
Patch26: bz626817.patch
Patch27: bz628102.patch
Patch28: bz525802.patch
Patch29: bz602362.patch
Patch30: bz636554.patch
Patch31: bz637216.patch
Patch32: bz637222.patch
Patch33: bz637259.patch
Patch34: bz602362-2.patch
Patch35: bz637222-2.patch
Patch36: bz639096.patch
Patch37: bz493662.patch
# the two hotfixes promoted as extra sources as of 0.12.2-69
#Patch38: bz680516.patch
Patch39: bz640329.patch
Patch40: bz643996.patch
Patch41: bz679866.patch
Patch42: bz690936.patch
Patch43: bz459190.patch
#44: Zope patch, see above
Patch45: bz705073.patch
Patch46: bz732483-1.patch
Patch47: bz732483-2.patch
Patch48: bz732483-3.patch
Patch49: bz732483-4.patch
Patch50: bz723188.patch
Patch51: bz709478.patch
Patch52: bz723000.patch
Patch53: bz734562.patch
Patch54: bz739600.patch
Patch55: bz734562-2.patch
Patch56: bz734562-3.patch
Patch57: cleanup-LuciDB.patch
Patch58: bz755935.patch
Patch59: bz755941.patch
Patch61: bz751359.patch
# omitted as per https://bugzilla.redhat.com/show_bug.cgi?id=956861#c18
# as of 0.12.2-69
#Patch62: Plone-CVE-2011-1948.patch
#63: Zope patch, see above
Patch64: bz822633.patch
Patch65: bz832181.patch
Patch66: bz832183.patch
Patch67: bz832185.patch
Patch68: bz786372bz607179-2.patch
Patch69: bz839732.patch
Patch70: bz741986.patch
Patch71: bz842865.patch
Patch72: bz832183-2.patch
Patch73: bz832185-2.patch
Patch74: bz822633-2.patch
Patch75: bz965785-fix_for_stack_overflow_caused_by_very_large_cluster_conf_files.patch
Patch76: bz883804-install_man_pages_with_mode_644.patch
Patch77: bz872645-fix_for_uncaught_exception_caused_by_deep_recursion.patch
Patch78: bz887170-don_t_chkconfig_system_services_on_when_starting.patch
Patch79: bz956861.patch
Patch80: ricci-configure-fix-sed-commands.patch
Patch81: bz1072075.patch
Patch82: bz970288.patch
Patch83: bz1076711.patch
Patch84: bz1065263.patch
Patch85: bz1076148.patch
Patch86: bz1089310.patch

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: python-devel >= 2.4.1
BuildRequires: glibc-devel gcc-c++ libxml2-devel sed
BuildRequires: cyrus-sasl-devel >= 2.1
BuildRequires: openssl-devel dbus-devel pkgconfig file

%description
Conga is a project developing management system for remote stations.
It consists of luci, https frontend, and ricci, secure daemon that dispatches
incoming messages to underlying management modules.

%prep
%setup -q

# ensure libvirt dependency is filtered out (rhbz#463220)
%define my_requires %{_builddir}/my_requires
%{__cat} <<EOF >%{my_requires}
#!/bin/sh
%{__find_requires} | grep -v '^libvirt'
exit 0
EOF
chmod +x %{my_requires}
%define _use_internal_dependency_generator 0
%define __find_requires %{my_requires}

# first setup the extra Plone site products so the patches can modify them
# (e.g., patch68 places additional README.luci into respective directory)
%setup -q -T -D -a 4
%setup -q -T -D -a 5
%setup -q -T -D -a 6
%setup -q -T -D -a 7
# at this point we know the products are the only directories starting with
# a capital letter
rm luci/site/luci/Products/README.txt
find -maxdepth 1 -type d -name "[ABCDEFGHIJKLMNOPQRSTUVWXYZ]*" -exec bash -c \
'ln -s "../../../../{}" "luci/site/luci/Products/$(echo "{}" | cut -d- -f1)"' \;

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1 -b .bz602459
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
#see above: patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
%patch50 -p1
%patch51 -p1
%patch52 -p1
%patch53 -p1
%patch54 -p1
%patch55 -p1
%patch56 -p1
%patch57 -p1 -b .cleanup-LuciDB
%patch58 -p1 -b .bz755935
%patch59 -p1 -b .bz755941
%patch61 -p1 -b .bz751359
#see above: patch62 -p1
%patch64 -p1
%patch65 -p1
%patch66 -p1
%patch67 -p1
%patch68 -p1
%patch69 -p1
%patch70 -p1
%patch71 -p1
%patch72 -p1
%patch73 -p1
%patch74 -p1
%patch75 -p1 -b .bz965785.1
%patch76 -p1 -b .bz883804.1
%patch77 -p1 -b .bz872645.1
%patch78 -p1 -b .bz887170.1
%patch79 -p1 -b .bz956861
%patch80 -p1 -b .ricci-configure-fix-sed-commands
%patch81 -p1 -b .bz1072075
%patch82 -p1 -b .bz970288
%patch83 -p1 -b .bz1076711
%patch84 -p1 -b .bz1065263
%patch85 -p1 -b .bz1076148
%patch86 -p1 -b .bz1089310

# luci db
%setup -q -T -D -a 1
ln -sf ../../../../Data.fs luci/site/luci/var/

# Zope and Plone
# be careful here, avoid backups from applying patches
%if %{with embeddedzopeplone}
# Zope
%setup -q -T -D -a 2
ln -s ../%{version_zope} luci/zope
pushd luci/zope
%patch44 -p1
%patch63 -p1
popd
# Plone
%setup -q -T -D -a 3
ln -s ../%{version_plone} luci/plone
pushd luci/plone
%patch8 -p1
popd
%endif

%build
%configure \
	--arch=%{_arch} \
	--docdir=%{_docdir} \
	--include_zope_and_plone=%{include_zope_and_plone} \
	--VIRT_SUPPORT=%{virt_support}
make %{?_smp_mflags} conga

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install_conga

%clean
rm -rf %{buildroot}


####### luci #######

%package -n luci

Group: System Environment/Base
Summary: Remote Management System - Management Station

Requires: chkconfig initscripts bc
Requires: python >= 2.4.1
%if %{with embeddedzopeplone}
Provides: config(luci) = %{version}-%{release}
# don't provide Zope internals
AutoProv: no
%else
AutoProv: yes
Requires: zope
Requires: plone >= 2.5
%endif
Requires: grep openssl mailcap stunnel
Requires: sed util-linux
Requires: python-imaging

Requires(pre): grep shadow-utils
Requires(post): chkconfig initscripts
Requires(preun): chkconfig initscripts

%description -n luci
Conga is a project developing management system for remote stations.
It consists of luci, https frontend, and ricci, secure daemon that
dispatches incoming messages to underlying management modules.

This package contains the luci server.

%files -n luci
%verify(not size md5 mtime) %{_localstatedir}/lib/luci/var/Data.fs
%verify(not size md5 mtime) %{_localstatedir}/lib/luci/.default_password_has_been_reset
%defattr(-,root,root)
%config(noreplace)		%{_sysconfdir}/sysconfig/luci
				%{_sysconfdir}/rc.d/init.d/luci
				%{_sbindir}/luci_admin
				%{_docdir}/luci-%{version}/
%defattr(0755,root,root)
				%{_libdir}/luci/
%defattr(-,luci,luci)
				%{_localstatedir}/lib/luci
				%{_libdir}/luci/ssl
%if %{with embeddedzopeplone}
				%{_libdir}/luci/zope
%endif
%doc %{_mandir}/man8/luci_admin.8*
%doc %{_localstatedir}/lib/luci/Products/*/README.*

%pre -n luci
groupmod luci >&/dev/null
if [ $? -eq 6 ]; then
	/usr/sbin/groupadd -r -f luci >&/dev/null
fi

id luci >&/dev/null
if [ $? -ne 0 ]; then
	/usr/sbin/useradd -r -M -s /sbin/nologin -d %{_localstatedir}/lib/luci -g luci luci >&/dev/null
fi

if [ $1 -gt 1 ]; then
	# Package upgrade
	/sbin/service luci status >&/dev/null
	LUCI_RUNNING=$?
	if [ $LUCI_RUNNING -eq 0 ]; then
		/sbin/service luci stop >& /dev/null
		# allow the zope machinery time to shut down
		sleep 4
	fi
	/usr/sbin/luci_admin backup >&/dev/null
	if [ $LUCI_RUNNING -eq 0 ]; then
		/sbin/service luci start >&/dev/null
	fi
fi
exit 0

%post -n luci
/sbin/chkconfig --add luci
/sbin/service luci status >&/dev/null
LUCI_RUNNING=$?
if [ $LUCI_RUNNING -eq 0 ]; then
	/sbin/service luci stop >&/dev/null
fi
if [ -f %{_localstatedir}/lib/luci/var/luci_backup.xml ]; then
	# restore luci database
	/usr/sbin/luci_admin restore >&/dev/null
fi

# set initial admin password (if not already set) to random value
grep True %{_localstatedir}/lib/luci/.default_password_has_been_reset >&/dev/null
if [ $? -ne 0 ]; then
	/usr/sbin/luci_admin password --random >&/dev/null &&
		rm -f %{_localstatedir}/lib/luci/var/{Data.fs.index,Data.fs.tmp,Data.fs.old} >& /dev/null
	find %{_libdir}/luci/zope/var -print0 2>/dev/null | xargs -0 chown luci: >&/dev/null
fi
if [ $LUCI_RUNNING -eq 0 ]; then
	/sbin/service luci start >&/dev/null
fi
exit 0

%preun -n luci
if [ $1 -eq 0 ]; then
	# uninstall
	/sbin/service luci stop >&/dev/null
	/sbin/chkconfig --del luci

	/sbin/service luci status >&/dev/null
	LUCI_RUNNING=$?
	if [ $LUCI_RUNNING -eq 0 ]; then
		/sbin/service luci stop >&/dev/null
		# allow the zope machinery time to shut down
		sleep 4
	fi
	/usr/sbin/luci_admin backup >&/dev/null

	# remove message catalog cache of PlacelessTranslationService (PTS)
	# which is created upon first run of installed luci (rhbz#835649)
	# note: in the latter case, start right from "var" component as it is
	#       a synthetic dir created by the Zope/Plone not tracked by RPM
	rm -rf -- %{_localstatedir}/lib/luci/var/pts %{_libdir}/luci/zope/var
fi
exit 0


###### ricci daemon & basic modules ######

%package -n ricci

Group: System Environment/Base
Summary: Remote Management System - Managed Station

Requires: initscripts
Requires: oddjob dbus openssl pam cyrus-sasl >= 2.1
Requires: sed util-linux
Requires: modcluster >= 0.12.0

# modreboot

# modvirt

%if %{virt_support}
BuildRequires: libvirt-devel
%endif

# modrpm

# modstorage
Requires: parted util-linux

# modservice
Requires: chkconfig initscripts

# modlog

Requires(pre): grep shadow-utils
Requires(post): chkconfig initscripts util-linux
Requires(preun): chkconfig initscripts
Requires(postun): initscripts util-linux

%description -n ricci
Conga is a project developing management system for remote stations.
It consists of luci, https frontend, and ricci, secure daemon that dispatches
incoming messages to underlying management modules.

This package contains listening daemon (dispatcher), as well as
reboot, rpm, storage, service and log management modules.

%files -n ricci
%defattr(-,root,root)
# ricci
%config(noreplace)	%{_sysconfdir}/pam.d/ricci
%config(noreplace)	%{_sysconfdir}/oddjobd.conf.d/ricci.oddjob.conf
%config(noreplace)	%{_sysconfdir}/dbus-1/system.d/ricci.systembus.conf
			%{_sysconfdir}/rc.d/init.d/ricci
%attr(-,ricci,ricci)	%{_localstatedir}/lib/ricci
			%{_sbindir}/ricci
%attr(-,root,ricci)	%{_libexecdir}/ricci/
			%{_docdir}/ricci-%{version}/
# modrpm
%config(noreplace)	%{_sysconfdir}/oddjobd.conf.d/ricci-modrpm.oddjob.conf
%config(noreplace)	%{_sysconfdir}/dbus-1/system.d/ricci-modrpm.systembus.conf
			%{_libexecdir}/ricci-modrpm
# modstorage
%config(noreplace)	%{_sysconfdir}/oddjobd.conf.d/ricci-modstorage.oddjob.conf
%config(noreplace)	%{_sysconfdir}/dbus-1/system.d/ricci-modstorage.systembus.conf
			%{_libexecdir}/ricci-modstorage
# modservice
%config(noreplace)	%{_sysconfdir}/oddjobd.conf.d/ricci-modservice.oddjob.conf
%config(noreplace)	%{_sysconfdir}/dbus-1/system.d/ricci-modservice.systembus.conf
			%{_libexecdir}/ricci-modservice
# modlog
%config(noreplace)	%{_sysconfdir}/oddjobd.conf.d/ricci-modlog.oddjob.conf
%config(noreplace)	%{_sysconfdir}/dbus-1/system.d/ricci-modlog.systembus.conf
			%{_libexecdir}/ricci-modlog

# modvirt
%config(noreplace)	%{_sysconfdir}/oddjobd.conf.d/ricci-modvirt.oddjob.conf
%config(noreplace)	%{_sysconfdir}/dbus-1/system.d/ricci-modvirt.systembus.conf
			%{_libexecdir}/ricci-modvirt
%doc
%{_mandir}/man8/ricci.8*

%pre -n ricci
getent group ricci >/dev/null || groupadd -r ricci
getent passwd ricci >/dev/null || useradd -r -M -g ricci -d %{_localstatedir}/lib/ricci -s /sbin/nologin -c "ricci daemon user" ricci
exit 0

%post -n ricci
DBUS_PID=`cat /var/run/messagebus.pid 2>/dev/null`
/bin/kill -s SIGHUP $DBUS_PID >&/dev/null
/sbin/service oddjobd reload >&/dev/null
/sbin/chkconfig --add ricci
exit 0

%preun -n ricci
if [ "$1" == "0" ]; then
	/sbin/service ricci stop >&/dev/null
	/sbin/chkconfig --del ricci
fi
exit 0

%postun -n ricci
if [ "$1" == "0" ]; then
	DBUS_PID=`cat /var/run/messagebus.pid 2>/dev/null`
	/bin/kill -s SIGHUP $DBUS_PID >&/dev/null
	/sbin/service oddjobd reload >&/dev/null
fi
if [ "$1" == "1" ]; then
	/sbin/service ricci condrestart >&/dev/null
fi
exit 0


############ changelog ############

%changelog
* Fri Apr 25 2014 Jan Pokorny <jpokorny@redhat.com> - 0.12.2-81
- luci: prevent non-admin user from unauthorized executive access
  Resolves: rhbz#1089310

* Thu Apr 17 2014 Jan Pokorny <jpokorny@redhat.com> - 0.12.2-79
- luci: drop unsuccessful monkey patch application wrt. Plone 20121106 advisory
  Related: rhbz#956861

* Thu Apr 17 2014 Jan Pokorny <jpokorny@redhat.com> - 0.12.2-78
- luci: reflect startup_wait parameter added in postgres-8 RA
  Resolves: rhbz#1065263
- luci: Multiple information leak flaws in various luci site extensions
  Resolves: rhbz#1076148

* Thu Apr 03 2014 Jan Pokorny <jpokorny@redhat.com> - 0.12.2-72
- luci: fix mishandling of distro release string
  Resolves: rhbz#1072075
- luci: fix initscript does not check return values correctly
  Resolves: rhbz#970288
- ricci: fix end-use modules do not handle stdin polling correctly
  Resolves: rhbz#1076711

* Mon Sep 09 2013 Jan Pokorny <jpokorny@redhat.com> - 0.12.2-69
- luci: apply relevant parts of Plone 20121106 advisory (multiple vectors)
  Resolves: rhbz#956861

* Tue May 28 2013 Ryan McCabe <rmccabe@redhat.com> - 0.12.2-68
- luci: Fix for uncaught exception caused by deep recursion
  Resolves: rhbz#872645
- luci: Don't chkconfig system services on when starting
  Resolves: rhbz#887170
- luci: Additional fix for rhbz#514679
  Resolves: rhbz#514679

* Tue May 28 2013 Jan Pokorny <rmccabe@redhat.com> - 0.12.2-67
- luci: copyright info not displayed properly with non-English locale
  Resolves: rhbz#514679
- luci: templates batch cleanup: rel links, "forgotten password" feature, consistent titles
  Resolves: rhbz#853018

* Wed May 22 2013 Ryan McCabe <rmccabe@redhat.com> - 0.12.2-66
- conga: Install man pages with mode 644
  Resolves: rhbz#883804

* Wed May 22 2013 Ryan McCabe <rmccabe@redhat.com> - 0.12.2-65
- ricci: Fix for stack overflow caused by very large cluster.conf files
  Resolves: rhbz#965785

* Tue Aug 28 2012 Jan Pokorny <jpokorny@redhat.com> 0.12.2-64
- Improvements for bz786372 (Better protect luci's authentication cookie)
- Improvements for bz607179 (Improper handling of session timeouts)

* Tue Aug 14 2012 Ryan McCabe <rmccabe@redhat.com> 0.12.2-60
- Improvements for bz832185 (Luci cannot configure the "identity_file" attribute for fence_ilo_mp)
- Improvements for bz822633 (Add luci support for nfsrestart)

* Tue Jul 31 2012 Jan Pokorny <jpokorny@redhat.com> 0.12.2-59
- Fix bz835649 (luci uninstall will leave /var/lib/luci/var/pts and /usr/lib*/luci/zope/var/pts behind)

* Mon Jul 30 2012 Ryan McCabe <rmccabe@redhat.com> 0.12.2-58
- Fix bz832183 (Luci is missing configuration of ssl for fence_ilo)

* Wed Jul 25 2012 Jan Pokorny <jpokorny@redhat.com> 0.12.2-57
- Fix bz835649 (luci uninstall will leave /var/lib/luci/var/pts and /usr/lib*/luci/zope/var/pts behind)

* Tue Jul 24 2012 Ryan McCabe <rmccabe@redhat.com> 0.12.2-56
- Fix bz842865 (Conga unable to find/install packages due to line breaks in yum output)

* Tue Jul 24 2012 Ryan McCabe <rmccabe@redhat.com> 0.12.2-55
- Add support for IBM iPDU fencing configuration (Resolves bz741986)

* Tue Jul 17 2012 Ryan McCabe <rmccabe@redhat.com> 0.12.2-54
- Fix bz839732 (Conga Add a Service Screen is Missing Option for Restart-Disable Recovery Policy)

* Tue Jun 26 2012 Jan Pokorny <jpokorny@redhat.com> 0.12.2-53
- Fix bz786372 (Better protect luci's authentication cookie)
- Fix bz607179 (Improper handling of session timeouts)

* Wed Jun 20 2012 Ryan McCabe <rmccabe@redhat.com> 0.12.2-52
- Fix bz822633 (Add luci support for nfsrestart)
- Fix bz832181 (fence_apc_snmp is missing from luci)
- Fix bz832183 (Luci is missing configuration of ssl for fence_ilo)
- Fix bz832185 (Luci cannot configure the "identity_file" attribute for fence_ilo_mp)

* Wed Jan 11 2012 Jan Pokorny <jpokorny@redhat.com> 0.12.2-51
- Fix bz711494 (CVE-2011-1948 plone: reflected XSS vulnerability)
- Fix bz771920 (CVE-2011-4924 Zope: Incomplete upstream patch for CVE-2010-1104/bz577019)

* Thu Jan 05 2012 Ryan McCabe <rmccabe@redhat.com> 0.12.2-45
- Fix bz751359 (Add luci support for fence_ipmilan's -L option)

* Wed Dec 14 2011 Jan Pokorny <jpokorny@redhat.com> 0.12.2-44
- Fix bz577019 (CVE-2010-1104 zope: XSS on error page)

* Fri Dec 09 2011 Jan Pokorny <jpokorny@redhat.com> 0.12.2-42
- Fix bz755935 (luci_admin man page is misleading)
- Fix bz755941 (luci_admin restore is not consistent)

* Tue Nov 29 2011 Jan Pokorny <jpokorny@redhat.com> 0.12.2-40
- Fix excluding busy nodes not working properly in luci internals.

* Tue Nov 08 2011 Jan Pokorny <jpokorny@redhat.com> 0.12.2-38
- Additional fix for bz734562 (Improve Luci's resource name validation)

* Tue Nov 08 2011 Jan Pokorny <jpokorny@redhat.com> 0.12.2-37
- Additional fix for bz734562 (Improve Luci's resource name validation)

* Fri Oct 21 2011 Ryan McCabe <rmccabe@redhat.com> 0.12.2-36
- Bump version of the luci database.

* Fri Oct 21 2011 Ryan McCabe <rmccabe@redhat.com> 0.12.2-35
- Fix bz739600 (conga allows erroneous characters in resource)
- Fix bz734562 (Improve Luci's resource name validation)

* Mon Oct 10 2011 Ryan McCabe <rmccabe@redhat.com> 0.12.2-34
- Fix bz709478 (Ricci fails to detect if host if virtual machine capable)
- Fix bz723000 (Modifying an existing shared resource will not update the reference in the cluster.conf)
- Fix bz723188 (Luci does not allow to modify __max_restarts and __restart_expire_time for independent subtrees, only for non-critical resources)

* Fri Sep 30 2011 Jan Pokorny <jpokorny@redhat.com> 0.12.2-33
- Fix bz732483 (Create new cluster fails with luci when installing packages.)

* Tue Jun 14 2011 Ryan McCabe <rmccabe@redhat.com> 0.12.2-32
- Fix bz705073 (Support new fence_vmware_soap agent configuration)

* Fri Apr 29 2011 Ryan McCabe <rmccabe@redhat.com> 0.12.2-31
- Fix bz705073 (Support new fence_vmware_soap agent configuration)

* Fri Apr 29 2011 Ryan McCabe <rmccabe@redhat.com> 0.12.2-30
- Fix bz705073 (Support new fence_vmware_soap agent configuration)

* Fri Apr 29 2011 Ryan McCabe <rmccabe@redhat.com> 0.12.2-29
- Fix bz658621 (Luci will error out with: "RuntimeError: maximum recursion depth exceeded)

* Fri Apr 29 2011 Ryan McCabe <rmccabe@redhat.com> 0.12.2-28
- Fix bz459190 (Log/Debug commands run by ricci-worker)

* Fri Apr 08 2011 Ryan McCabe <rmccabe@redhat.com> 0.12.2-27
- Build fix for bz640329 (fields in Luci are too short)

* Fri Apr 08 2011 Ryan McCabe <rmccabe@redhat.com> 0.12.2-26
- Fix bz679866 (Add the ability to configure the "self_fence" attribute for the LVM resource)
- Fix bz690936 (RFE: fence_cisco_ucs needs to support sub-organizations)
- Fix bz643996 (luci_admin doesn't operate correctly if external zope3 packages are installed)
- Fix bz640329 (fields in Luci are too short)

* Fri Feb 25 2011 Ryan McCabe <rmccabe@redhat.com> 0.12.2-25
- Fix bz680516 (CVE-2011-0720 plone: unauthorized remote administrative access)

* Mon Nov 15 2010 Ryan McCabe <rmccabe@redhat.com> 0.12.2-24
- Fix bz493662 (RFE: Separate the Oracle 10g Failover Instance in Conga to two resources called "Oracle Instance" and "Oracle Listener")

* Tue Nov 02 2010 Ryan McCabe <rmccabe@redhat.com> 0.12.2-23
- Fix bz639096 (Add luci support for configuring fence_rhevm)

* Tue Oct 19 2010 Ryan McCabe <rmccabe@redhat.com> 0.12.2-22
- Fix patch for bz637222 (Add luci support for Cisco UCS fencing agent)

* Mon Sep 27 2010 Ryan McCabe <rmccabe@redhat.com> 0.12.2-21
- Additional fixes for bz602362 (ricci and luci_admin do not have man pages)

* Mon Sep 27 2010 Ryan McCabe <rmccabe@redhat.com> 0.12.2-20
- Additional fixes for bz602362 (ricci and luci_admin do not have man pages)

* Mon Sep 27 2010 Ryan McCabe <rmccabe@redhat.com> 0.12.2-19
- Fix bz602362 (ricci and luci_admin do not have man pages)
- Fix bz636554 (Support ext4 and xfs file systems in conga for file system agents)
- Fix bz637216 (Add luci support for fence_ifmib fencing agent)
- Fix bz579859 (Add luci support for Cisco UCS fencing agent)
- Fix bz637259 (RFE: Critical/Non-Critical services & resources luci support)

* Tue Aug 31 2010 Ryan McCabe <rmccabe@redhat.com> 0.12.2-18
- Fix bz626817 (Add luci support for Cisco MDS fencing agent)
- Fix bz628102 (Add luci support for iLO MP fencing agent)
- Fix bz525802 (Add support for configuring broadcast)
- Modify fix for bz606509 (luci requires wrongly requires users to fill interval / minimum score / votes fields for qdisk configuration)
- Modify fix for bz501780 (Luci invalidates some "system hostnames" that are valid)

* Tue Aug 10 2010 Chris Feist <cfeist@redhat.com> 0.12.2-17
- Ricci will now properly display help when using the '-h' option.
- Resolves: rhbz#602459

* Fri Aug 06 2010 Ryan McCabe <rmccabe@redhat.com> 0.12.2-16
- Fix bz513004 (Conga does not remember SAP database type in IE6/8 from shared resource)
- Fix bz533246 (Conga does not write "auth" or "password" when creating IPMI LAN fence device)
- Fix bz555862 (Luci does not have an option to delete failover domain)
- Fix bz577913 (Fence_drac5 will not popluate the luci interface correctly when adding fence device to node)
- Fix bz582348 (Remove the "interface" field from the multicast configuration dialog)
- Fix bz584633 (Add support for power_wait)
- Fix bz587399 (Clarification on "type" when configuring oracledb resources)
- Fix bz590143 (chkconfig on cman and rgmanager by default when adding a cluster node via conga)
- Fix bz590311 (luci vmware fencing gui and fence_vmware script parameter conflict)
- Fix bz603114 (Can't create KVM guest resources without a path to the XML file)
- Fix bz606509 (luci requires wrongly requires users to fill interval / minimum score / votes fields for qdisk configuration)
- Fix bz612300 (conga will fail to start a new node that is added via luci)

* Tue Apr 06 2010 Ryan McCabe <rmccabe@redhat.com> 0.12.2-15
- Fix bz501780 (Luci invalidates some "system hostnames" that are valid)

* Thu Apr 01 2010 Chris Feist <cfeist@redhat.com> 0.12.2-14
- An issue with calling 'virsh nodelist' would cause ricci to hang for
  30 seconds during most requests resulting in timeouts to the web interface.
- Resolves: rhbz#564490

* Tue Feb 09 2010 Ryan McCabe <rmccabe@redhat.com> 0.12.2-12
- Fix bz469881 (luci failed to start)
- Revert bz496749.patch (IPMI will suffice)

* Mon Dec 21 2009 Ryan McCabe <rmccabe@redhat.com> 0.12.2-10
- Fix bz496749

* Mon Dec 21 2009 Ryan McCabe <rmccabe@redhat.com> 0.12.2-9
- Tweak spec file.

* Mon Dec 21 2009 Ryan McCabe <rmccabe@redhat.com> 0.12.2-8
- Fix bz508142
- Fix bz519268

* Mon Dec 21 2009 Ryan McCabe <rmccabe@redhat.com> 0.12.2-7
- Fix bz501780 (Luci invalidates some "system hostnames" that are valid)
- Fix bz514051 (fs resource will remount itself if any config changes are made to cluster.conf)
- Fix bz517114 (Conga should not tag clusternodes with multicast tags)
- Fix bz519050 (Luci does not validate passwords and incorrect characters can be used)
- Fix bz521884 (Fix instances of #!/usr/bin/env python in luci)
- Fix bz530129 (conga does not properly handle HA LVM types)

* Thu Nov 12 2009 Ryan McCabe <rmccabe@redhat.com> 0.12.2-6.1
- Fix bz519252: run the 'virsh' command with --readonly to cope with new
  virsh/xen behavior introduced in RHEL 5.4.

* Thu May 14 2009 Ryan McCabe <rmccabe@redhat.com> 0.12.2-6
- Fix bz469965 (Adding existing fence device fails)
- Fix bz499741 (updating qdisk partition global settings wipes out heuristics)
- Fix bz495109 (Need xen/kvm flag for conga UI)

* Thu Apr 23 2009 Ryan McCabe <rmccabe@redhat.com> 0.12.2-5
- Fix bz492392 (Conga Interface for Fence Agents Requires Password even when Password Script is Specified)
- Fix bz491903 ([RFE] add option 'nfslock' to conga)

* Tue Mar 24 2009 Ryan McCabe <rmccabe@redhat.com> 0.12.2-4
- Rework fix for bz483775 (Failover Domains can't be set for VMs as services of cluster suite using Conga)

* Mon Mar 16 2009 Ryan McCabe <rmccabe@redhat.com> 0.12.2-3
- Fix bz483769 (Conga always shows VM properties as "Run exclusive")

* Thu Jan 22 2009 Ryan McCabe <rmccabe@redhat.com> 0.12.2-1
- Fix bz452704 (Unable to add existing RHEL4 clusters with RHEL5.2 Luci)
- Fix bz467464 (adding qdisk to existing cluster fails to update cman entry in cluster.conf)
- Fix bz460038 (Conga fs resource error when editing service)
- Fix bz483067 (adding resource in conga doesn't work in IE)
- Fix bz483775 (Failover Domains can't be set for VMs as services of cluster suite using Conga)
- Fix bz450007 (cannot remove shared fence device through luci)
- Fix bz466013 (Add luci GUI support for LPAR and vmware fencing)
- Fix bz459160 (fenced config option to skip nodes with undefined fencing)

* Thu Sep 25 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.1-7
- Fix a typo in the fix for bz459562

* Tue Sep 23 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.1-6
 - Fix bz463220

* Tue Sep 23 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.1-5
 - Fix bz463220

* Wed Aug 27 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.1-4
- Fix bz459562 (charset configuration fix for luci)
- Fix bz459469 (An unknown device type was given: "gnbd.")
- Fix bz454933 (Add Support in Conga for Xen migration mapping)
- Fix bz459623 (Conga error adding new node to existing cluster)

* Thu Aug 07 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.1-3
- More fixes for bz429350

* Thu Jul 10 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.1-1
- Fix bz444938 (conga fails to create proper cluster.conf entries for gfs2 filesystem type)
- Fix bz444210 (Adding multiple fence devices at the same time causes duplicate entries)
- Fix bz444381 (conga writes 'exportpath' instead of 'export' attribute for netfs)
- Fix bz446907 (rpm -V luci fails)
- Fix bz450854 (luci doesn't start because of a missing dep /usr/bin/dc)
- Fix bz206570 (RFE: vm list from ricci)
- Fix bz430737 (Conga should install the 'cmirror' package when clustered storage is requested)
- Fix bz379461 (Conga doesn't have the option for modulename for drac fencing)
- Fix bz433089 (when adding multiple nodes the order is reversed.)
- Fix bz441581 (Don't allow both label and device for qdisk config if only one can be specified)
- Fix bz223785 (Storage 'Display Devices by' option does not work)
- Fix bz250439 (conga is unable to delete snapshot volumes)
- Fix bz414551 (Sector size list is improperly sorted)
- Fix bz429350 (RFE: GUI support for failing over a service to another node after X number of restarts)

* Fri Apr 18 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.0-8
- Fix bz441580 (conga should install 'sg3_utils' and start service 'scsi_reserve' when scsi fencing is used)
- Fix bz441573 ("nodename" field for fence_scsi disabled when adding a new fence device/instance)
- Fix bz442997 (Luci inserts "hostname" instead of "ipaddr" for rsa II fencing device)
- Fix bz442806 (luci shows wrong state for 'Monitor link' checkbox in IP resource)

* Fri Apr 18 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.0-7
- Fix a bug introduced while implementing bz337041 (Add option to not fail-back service)

* Wed Feb 27 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.0-6
- Fix bz434586 (Resource tree does not display multiple children of a parent correctly)
- Fix bz304931 (Rich Sybase resource agent configuration support)
- Fix bz437398 (When Luci session times out a re-login is thought to be a logout.)

* Tue Feb 12 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.0-5
- Fix bz432533 (Do not attempt to install the cmirror package when shared storage is requested)

* Fri Feb 08 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.0-4
- Fix bz429151 ([RFE] Luci: increase min password length to 6 characters)
- Fix bz429152 ([RFE] add inactivity timeout)

* Wed Feb 06 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.0-3
- Fix bz431105 (IP Address Resource configuration: cannot enter fully qualified hostname)

* Mon Jan 28 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.0-2
- Fix bz430737 (Conga should install the 'cmirror' package when clustered storage is requested)

* Fri Jan 25 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.0-1
- Fix a bug that prevented the fix for bz230462 from working

* Tue Jan 22 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.0-0
- Fixed bz230462 (RFE: Only reboot installation target machines when needed)
- Fixed bz238655 (conga does not set the "nodename" attribute for manual fencing)
- Fixed bz239387 (RFE: add timeouts for actions that can leave cluster unreachable)
- Fixed bz249097 (allow a space as a valid password char)
- Fixed bz249619 (luci "Manage Systems and Clusters" display of clusters and storage systems is cascaded)
- Fixed bz252348 (RFE: should only have to enter a system's password once)
- Fixed bz253223 (When deleting a node from conga, the fence device isn't deleted)
- Fixed bz253720 ("trust" box shouldn't be an option if it is required)
- Fixed bz253727 (RFE: graphical view should be default in partiton tables view)
- Fixed bz253842 (luci ignores File System Resource Configuration)
- Fixed bz253879 (RFE: drop the link/details column in the resource section table)
- Fixed bz264161 (RFE: support setting the "__independent_subtree" attribute on cluster resources)
- Fixed bz277661 (RFE: Better instructions on the luci login page if luci_admin not run.)
- Fixed bz277711 (RFE: luci_admin should check that luci is running before asking for the password)
- Fixed bz295771 (RFE: add ability to set self_fence attribute for clusterfs resources)
- Fixed bz301411 (conga shouldn't turn on init scripts if the user turned them off)
- Fixed bz303661 (Browser support to encompass Internet Explorer on Windows Vista and XP)
- Fixed bz304891 (Browser support to encompass Firefox on Windows Vista and XP.)
- Fixed bz315631 (conga doesn't handle the cluster restart operation properly)
- Fixed bz317261 (Check for dual power fencing fails when adding new fence instances)
- Fixed bz320411 (conga should use the node name in cluster.conf and not FQDN for fencing)
- Fixed bz337041 (Add option to not fail-back service)
- Fixed bz340111 (Storage redirection after probe does not work on WinXP with FF2)
- Fixed bz379461 (Conga doesn't have the option for modulename for drac fencing)
- Fixed bz383071 (Virtual machine configuration - add field for "migration type" xml attr = "migrate")

* Tue Oct 02 2007 Ryan McCabe <rmccabe@redhat.com> 0.10.1-1
* Fix regression of bz249097

* Mon Aug 27 2007 Ryan McCabe <rmccabe@redhat.com> 0.10.0-6
- Fixed bz253783
- Fixed bz253914 (conga doesn't allow you to reuse nfs export and nfs client resources)
- Fixed bz254038 (Impossible to set many valid quorum disk configurations via conga)
- Fixed bz253994 (Cannot specify multicast address for a cluster)
- Resolves: bz253783, bz253914, bz254038, bz253994

* Mon Aug 20 2007 Ryan McCabe <rmccabe@redhat.com> 0.10.0-5
- Fixed bz249291 (delete node task fails to do all items listed in the help document)
- Fixed bz253341 (failure to start cluster service which had been modifed for correction)
- Related: bz253341
- Resolves: bz249291

* Mon Aug 13 2007 Ryan McCabe <rmccabe@redhat.com> 0.10.0-4
- Fixed bz230451 (fence_xvm.key file is not automatically created. Should have a least a default)
- Fixed bz249097 (allow a space as a valid password char)
- Fixed bz250834 (ZeroDivisionError when attempting to click an empty lvm volume group)
- Fixed bz250443 (storage name warning utility produces a storm of warnings which can lock your browser)
- Resolves: bz249097, bz250443, bz250834
- Related: bz230451

* Mon Jul 30 2007 Ryan McCabe <rmccabe@redhat.com> 0.10.0-3
- Fixed bz245947 (luci/Conga cluster configuration tool not initializing cluster node members)
- Fixed bz249641 (conga is unable to do storage operations if there is an lvm snapshot present)
- Fixed bz249342 (unknown ricci error when adding new node to cluster)
- Fixed bz249291 (delete node task fails to do all items listed in the help document)
- Fixed bz249091 (RFE: tell user they are about to kill all their nodes)
- Fixed bz249066 (AttributeError when attempting to configure a fence device)
- Fixed bz249086 (Unable to add a new fence device to cluster)
- Fixed bz249868 (Use of failover domain not correctly shown)
- Resolves bz245947, bz249641, bz249342, bz249291, bz249091,
- Resolves bz249066, bz249086, bz249868
- Related: bz249351

* Wed Jul 18 2007 Ryan McCabe <rmccabe@redhat.com> 0.10.0-2
- Fixed bz245202 (Conga needs to support Internet Explorer 6.0 and later)
- Fixed bz248317 (luci sets incorrect permissions on /usr/lib64/luci and /var/lib/luci)
- Resolves: bz245202 bz248317

* Wed Jun 27 2007 Ryan McCabe <rmccabe@redhat.com> 0.10.0-1
- Fixed bz238655 (conga does not set the "nodename" attribute for manual fencing)
- Fixed bz221899 (Node log displayed in partially random order)
- Fixed bz225782 (Need more luci service information on startup - no info written to log about failed start cause)
- Fixed bz227743 (Intermittent/recurring problem - when cluster is deleted, sometimes a node is not affected)
- Fixed bz227682 (saslauthd[2274]: Deprecated pam_stack module called from service "ricci")
- Fixed bz238726 (Conga provides no way to remove a dead node from a cluster)
- Fixed bz239389 (conga cluster: make 'enable shared storage' the default)
- Fixed bz239596
- Fixed bz240034 (rpm verify fails on luci)
- Fixed bz240361 (Conga storage UI front-end is too slow rendering storage)
- Fixed bz241415 (Installation using Conga shows "error" in message during reboot cycle.)
- Fixed bz241418 (Conga tries to configurage cluster snaps, though they are not available.)
- Fixed bz241706 (Eliminate confusion in add fence flow)
- Fixed bz241727 (can't set user permissions in luci)
- Fixed bz242668 (luci init script can return non-LSB-compliant return codes)
- Fixed bz243701 (ricci init script can exit with non-LSB-compliant return codes)
- Fixed bz244146 (Add port number to message when ricci is not started/firewalled on cluster nodes.)
- Fixed bz244878 (Successful login results in an infinite redirection loop with MSIE)
- Fixed bz239388 (conga storage: default VG creation should be clustered if a cluster node)
- Fixed bz239327 (Online User Manual needs modification)
- Fixed bz227852 (Lack of debugging information in logs - support issue)
- Fixed bz245025 (Conga does not accept '&amp;' character in password field for Fence configuration)
- Fixed bz225588 (luci web app does not enforce selection of fence port)
- Fixed bz212022 (cannot create cluster using ip addresses)
- Fixed bz223162 (Error trying to create a new fence device for a cluster node)
- Upgraded to the latest Plone (2.5.3)
- Added a "reprobe storage" button that invalidates cached storage reports
  and forces a new probe.
- Resolves: bz238655, bz221899, bz225782, bz227682, bz227743, bz239389,
- Resolves: bz239596, bz240034, bz240361, bz241415, bz241418, bz241706,
- Resolves: bz241727, bz242668, bz243701, bz244146, bz244878, bz238726,
- Resolves: bz239388, bz239327, bz227852, bz245025, bz225588, bz212022

* Wed Apr 11 2007 Ryan McCabe <rmccabe@redhat.com> 0.9.2-5
- Fixed bz225206 (Cluster cannot be deleted (from 'Manage Systems') - but no error results)
- Fixed bz225164 (Conga allows creation/rename of clusters with name greater than 15 characters)
- Fixed bz227758 (Entering bad password when creating a new cluster = UnboundLocalError: local variable 'e' referenced before assignment)
- Resolves: bz225206, bz225164, bz227758

* Wed Mar 28 2007 Stanko Kupcevic <kupcevic@redhat.com> 0.9.2-4
- Do not fail on i18n machines
- Fixed bz225747 (Create/delete cluster - then access disk on node = Generic error on host: cluster tools: cman_tool errored)
- Fixed bz233326 (CVE-2007-0240 Conga includes version of Zope that is vulnerable to a XSS attack)
- Fixed bz228637 (CVE-2007-1462 security alert - passwords sent back from server as input value)
- Fixed bz229027 (luci failover domain forms are missing/empty)
- Fixed bz230447 (fence_xvm is incorrectly listed as "xmv" in virtual cluster)
- Fixed bz230452 (Advanced options parameters settings don't do anything)
- Fixed bz230454 (Unable to configure a virtual service)
- Fixed bz230457 (kmod-gfs-xen not installed with Conga install)
- Fixed bz230461 ('enable shared storage' option cleared whenever there is a configuration error)
- Fixed bz230469 (Must manually edit cluster.conf on the dom0 cluster to add "<fence_xvmd/>")
- Resolves: bz229027, bz230447, bz230452, bz230454, bz230457,
- Resolves: bz230461, bz230469, bz228637, bz233326, bz225747

* Tue Jan 23 2007 Stanko Kupcevic <kupcevic@redhat.com> 0.8-30
- Fixed bz212445 (release blocker: prevent management page access)
- Resolves: bz212445

* Wed Jan 17 2007 Stanko Kupcevic <kupcevic@redhat.com> 0.8-29
- Remove test accounts from Data.fs
- Related: bz222223

* Wed Jan 17 2007 Stanko Kupcevic <kupcevic@redhat.com> 0.8-28
- Updated docs
- Fixed bz222223 (Deactivate LV before removal)
- Resolves: bz222223

* Wed Jan 10 2007 Stanko Kupcevic <kupcevic@redhat.com> 0.8-27
- Fixed bz214989 (Package download not working for Conga during cluster creation)
- Fixed bz219522 (Restarting a cluster via luci web gui = UnboundLocalError - local variable 'e' referenced before assignment)
- Fixed bz201394 (luci doesn't verify ricci's SSL cert against trusted list)
- Fixed bz212021 (various luci buttons do nothing)
- Fixed bz212448 (release blocker: turn off debug mode of server)
- Fixed bz212445 (release blocker: prevent management page access)

* Tue Dec 12 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-26
- luci storage: fix bytes->TB conversion
- Improved bz201394: luci doesn't verify ricci's SSL cert against trusted list (step 1 - backend)
- Fixed bz217387 (luci - HTML error shows up in display (minor))
- Fixed bz215031 (Cannot add a resource to a service via luci web app)
- Fixed bz218040 (luci reports "unknown" as cluster name if cluster creation fails)
- Fixed bz218941 (Conga/luci - cannot add node to cluster via luci web app)
- Fixed bz219156 (Errors in performing node-specific tasks due to ricci outage not reflected in luci display)
- Fixed bz217703 (clustered vg creation fails)
- Resolves: bz217387, bz215031, bz218040, bz218941, bz219156, bz217703
- Related: bz201394

* Thu Nov 16 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-25
- Fix build issues (D-BUS detection)

* Thu Nov 16 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-24
- Fixed bz215039 (Cannot create a new resource via luci web app)
- Fixed bz215034 (Cannot change daemon properties via luci web app)
- Fixed bz214790 (Stop/restart cluster not working via luci web app)
- Fixed bz213690 (luci - Reversed links in colophon (gui - minor))
- Fixed bz213266 (Conga - modifying a cluster node's cluster membership in a subnet with other clusters results in the wrong cluster.conf)
- Fixed bz213083 (luci - should display usernames in some logical/sorted order (usability))
- Fixed bz212601 (luci - selecting cluster name or cluster node name indicates error in install and displays empty form)
- Fixed bz212021 (various luci buttons do nothing)
- Fixed bz212006 (create cluster does not show status as cluster is being created)
- Fixed bz212584 (luci does not retrieve failed ricci queue elements)
- Fixed bz212440 (luci persists possibly incorrect name for a system)
- Improved bz213306 (ricci - log probing can take minutes to complete)
- Fixed starting/stopping services
- Fixed deleting cluster
- Fixed deleting node
- Fixed redirection for all async->busy wait calls
- Storage module: properly probe cluster quorum if LVM locking
  is marked as clustered
- Resolves: bz215039, bz215034, bz214790, bz213690, bz213266
- Resolves: bz213083, bz212601, bz212021, bz212006, bz212584
- Resolves: bz212440
- Related: bz213306

* Wed Nov 01 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-23
- 213504: luci does not correctly handle cluster.conf with
  nodes lacking FQDN

* Tue Oct 31 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-22
- 212582: SELinux prevents creation of /etc/cluster/cluster.conf

* Wed Oct 25 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-21
- 211564: ricci allocates huge memory chunk, causing long swapping
- 211345: cluster_adapters is missing import of Xenvm module
- 211191: SELinux issues tracking bug
- 211370: retrieving log from node fails
- 211942: Xenvm moniker must be eradicated from UI
- 211375: unable to reliably create a cluster
- 211373: reboot node fails from storage tab

* Mon Oct 16 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-20
- Minor GUI nits

* Mon Oct 16 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-19
- GUI nits
- Fixed bzs: 206663, 206567, 206571, 206572

* Fri Oct 06 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-18
- Version bump

* Wed Oct 04 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-17
- Many luci improvements

* Mon Sep 25 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-16
- Enable zope/plone inclusion on RHELs
- Remove luci's dependency on ricci
- Many improvements of cluster management interface
- Add full GFS1/2 support; detect many other filesystems
- Suppress msgs from init script (bz204235)
- Upgrade zope to 2.9.4 (track Fedora Core)

* Thu Aug 24 2006 Paul Nasrat <pnasrat@redhat.com> 0.8-15
- Disable inclusion of plone/zope and comment out requires

* Mon Aug 21 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-14
- Version bump

* Fri Aug 18 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-13
- Version bump

* Fri Aug 18 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-12
- Don't auto-start ricci after installation, do it manually
- Under certain circumstances, default luci password would not get reset
- Many Luci improvements

* Wed Aug 16 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-11.7
- Move ricci-modrpm, ricci-modlog, ricci-modstorage, ricci-modservice
  from /usr/sbin to /usr/libexec

* Wed Aug 09 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-11
- Spin off clustermon.srpm (modcluster, cluster-snmp and
  cluster-cim) from conga.srpm
- Luci: tighten down security

* Thu Aug 03 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-10
- Luci: fix login issues, add cluster resources, styling...

* Wed Jul 26 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-9
- Update Luci to Plone 2.5

* Tue Jul 25 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-8
- New build with a lot of implementation details on Luci
- Last build with plone 2.1.2

* Thu Jul 06 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-7
- More compliant specfile, minor fixes

* Tue Jun 27 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-6
- Luci persists users/clusters/systems/permissions across upgrades

* Fri Jun 16 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-4
- Moved storage, service, log and rpm modules into main ricci.rpm

* Wed Jun 14 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-1
- Packaged cluster-snmp (cluster snmp agent)
- Packaged cluster-cim (cluster CIM provider)

* Tue Jun 06 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.7-5
- Disable non-https access to Luci, enable https on port 8084

* Fri Jun 02 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.7-1
- Packaged Luci - ricci's www frontend
- Added logging module

* Fri May 26 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.6-1
- Multitude of fixes and new features

* Mon Apr 10 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.5-1
- First official build of conga project
